Avoid exception when adding a project without any givable roles defined
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version: 4.2.10   

Resolution:  Affected version:  

Description

Project.default_member_role might return nil if there is no default member role and no givable role at all.

In the safe_attribute definition of Project#enabled_module_names, we use the method's return value without checking this. The

attached patch fixes this by using the safe navigation operator there (introduced in Ruby 2.3.0) and denying changing of the modules

if the user is not an admin.

Associated revisions

Revision 21994 - 2022-12-21 03:25 - Go MAEDA

Do not break when setting enabled_module_names on a project without a default_member_role (#38064).

Patch by Holger Just.

Revision 21995 - 2022-12-21 03:27 - Go MAEDA

Merged r21994 from trunk to 5.0-stable (#38064).

Revision 21996 - 2022-12-21 03:27 - Go MAEDA

Merged r21994 from trunk to 4.2-stable (#38064).

History

#1 - 2022-12-21 03:28 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from Candidate for next minor release to 4.2.10

Committed the patch. Thank you.

#2 - 2023-03-05 06:22 - Go MAEDA

- Tracker changed from Patch to Defect
